using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Keyless]
public partial class VwDealConfirmationInfo
{
    [Column("ticket_num", TypeName = "citext")]
    public string? TicketNum { get; set; }

    [Column("send_email")]
    public string? SendEmail { get; set; }

    [Column("email_address", TypeName = "citext")]
    public string? EmailAddress { get; set; }

    [Column("email_date")]
    public DateTime? EmailDate { get; set; }

    [Column("emailed_by", TypeName = "citext")]
    public string? EmailedBy { get; set; }

    [Column("send_fax")]
    public string? SendFax { get; set; }

    [Column("fax_number", TypeName = "citext")]
    public string? FaxNumber { get; set; }

    [Column("fax_date")]
    public DateTime? FaxDate { get; set; }

    [Column("faxed_by", TypeName = "citext")]
    public string? FaxedBy { get; set; }

    [Column("attention", TypeName = "citext")]
    public string? Attention { get; set; }

    [Column("distributed")]
    public DateTime? Distributed { get; set; }

    [Column("combine_email")]
    public bool? CombineEmail { get; set; }
}
